CVE-2020-13765

Priority
Description
rom_copy() in hw/core/loader.c in QEMU 4.1.0 does not validate the
relationship between two addresses, which allows attackers to trigger an
invalid memory copy operation.
Assigned-to
mdeslaur
Notes
Package
Source: qemu (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):released (1:2.5+dfsg-5ubuntu10.45)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:2.11+dfsg-1ubuntu7.31)
Ubuntu 20.04 LTS (Focal Fossa):not-affected (1:4.2-3ubuntu6.3)
Ubuntu 20.10 (Groovy Gorilla):not-affected (1:4.2-3ubuntu10)
Patches:
Upstream:https://git.qemu.org/?p=qemu.git;a=commit;h=e423455c4f23a1a828901c78fe6d03b7dde79319
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):needs-triage
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
More Information

Updated: 2020-09-09 23:35:17 UTC (commit 81a23a978c4436cd99e1d040e9e73e9146876281)